Skip to content

Card Lock Unlock

| View as Markdown

To manage the card of a customer, prepaid card portal access will be provided from where the card can be locked or unlocked. We must pass entity id, kit no, flag: L-Lock, UL- UnLock, BL-Permanent Block and reason for locking/unlocking in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/lock-unlock
FieldTypeDescription
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
tokentextWill be provided by airpay(required)
FieldTypeDescription
entity_idtextThe Customer Id registered with the system (length 50, required)
kit_notextProxy card or kit number (required)
flagtextL-Lock, UL-UnLock, BL-Permanent Block(required)
reasontextReason for blocking/unblocking(required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/lock-unlock' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'kit_no=100000001111'\
--data-urlencode 'flag=L' \
--data-urlencode 'reason=Inactive'
FieldTypeDescription
statusnumeric400- fail,200-success
messagetextSuccess, Fail
datajson[]
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}